summaryrefslogtreecommitdiffstats
path: root/testing/get-coursier.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testing/get-coursier.sh')
-rwxr-xr-xtesting/get-coursier.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/testing/get-coursier.sh b/testing/get-coursier.sh
new file mode 100755
index 0000000..760c6c1
--- /dev/null
+++ b/testing/get-coursier.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+# This is a script used in CI to install coursier
+set -euxo pipefail
+
+COURSIER_URL="https://github.com/coursier/coursier/releases/download/v2.0.0/cs-x86_64-pc-linux"
+COURSIER_HASH="e2e838b75bc71b16bcb77ce951ad65660c89bda7957c79a0628ec7146d35122f"
+ARTIFACT="/tmp/coursier/cs"
+
+mkdir -p /tmp/coursier
+rm -f "$ARTIFACT"
+curl --location --silent --output "$ARTIFACT" "$COURSIER_URL"
+echo "$COURSIER_HASH $ARTIFACT" | sha256sum --check
+chmod ugo+x /tmp/coursier/cs